ObliqueAngle property example

Sub ObliqueAngle_Example()
' This example creates text and adds it to the drawing using the
' AddText method. It then obtains and resets the ObliqueAngle property.
    Dim sText As String: sText = "Test string for ObliqueAngle property"
    Dim insPt(0 To 2) As Double: insPt(0) = 0: insPt(1) = 9
    Dim dHeight As Double: dHeight = 5
    Dim textObj As AcadText
    Set textObj = ThisDrawing.ModelSpace.AddText(sText, insPt, dHeight)
    textObj.Update
    ThisDrawing.Application.ZoomExtents
    MsgBox "The ObliqueAngle is " & textObj.ObliqueAngle
    'Change the value of the ObliqueAngle to 45 degrees (0.785 radians)
    textObj.ObliqueAngle = 0.785
    textObj.Update
    ThisDrawing.Application.ZoomExtents
    MsgBox "The ObliqueAngle is set to " & textObj.ObliqueAngle
End Sub

© Bricsys NV. All rights reserved.